<script setup>
import { useAppStore } from '@/stores/AppStore'
import Constants from '@/Constants'
</script>


<script>
export default {

	data() {
		return {
			appStore: useAppStore(),
			email: localStorage.getItem('email') || '',
			password: localStorage.getItem('password') || '',
			remember: localStorage.getItem('remember') ? true : false,
		}
	},

	methods: {
		async onSubmit() {
			if (await this.appStore.signIn(this.email, this.password)) {
				if (this.remember) {
					localStorage.setItem('email', this.email.toString().trim())
					localStorage.setItem('password', this.password)
					localStorage.setItem('remember', '1')
				}
				else {
					localStorage.removeItem('email')
					localStorage.removeItem('password')
					localStorage.removeItem('remember')
				}
				localStorage.setItem('signin', '1')
			}
		},

		onExternalSignIn(url) {
			window.location.href = url
		},
	},

	mounted() {
	},

	i18n: {
		messages: {
			en: {
				title: "@:app",
				email: "Email",
				password: "Password",
				remember: "Remember Sign-in",
				forgotPassword: "Forgot password?",
				ok: "Sign In",
				signUp: "Sign Up",
				signInGoogle: "Sign-in to Google",
				signInLine: "Sign-in to LINE",
				signInFacebook: "Sign-in to Facebook",
			},
			th: {
				title: "@:app",
				email: "อีเมล",
				password: "รหัสผ่าน",
				remember: "จำรหัสผ่าน",
				forgotPassword: "ลืมรหัสผ่าน?",
				ok: "เข้าสู่ระบบ",
				signUp: "สมัครสมาชิก",
				signInGoogle: "เข้าสู่ระบบโดย Google",
				signInLine: "เข้าสู่ระบบโดย LINE",
				signInFacebook: "เข้าสู่ระบบโดย Facebook",
			},
		},
	},

}
</script>


<template>
	<AppBox>
		<form id="form" @submit.prevent="onSubmit">
			<!-- email -->
			<label for="email">{{  $t('email')  }}</label><br />
			<input id="email" type="email" :placeholder="$t('email')" required v-model="email" /><br />
			<br />

			<!-- password -->
			<label for="password">{{  $t('password')  }}</label><br />
			<input id="password" type="password" :placeholder="$t('password')" required minlength="4" maxlength="20"
				v-model="password" /><br />
			<br />

			<!-- remember -->
			<input id="remember" type="checkbox" style="margin-right: 0.5rem" v-model="remember" />
			<label for="remember">{{  $t('remember')  }}</label><br />
			<br />

			<button type="submit">{{  $t('ok')  }}</button>
			<button type="button" @click.prevent="$router.push({ name: 'forgotPass' })">{{  $t('forgotPassword') 
				}}</button>
			<button type="button" @click.prevent="$router.push({ name: 'signup' })">{{  $t('signUp')  }}</button><br />
			<br />

			<button type="button" @click.prevent="(e) => onExternalSignIn(Constants.googleSignIn())">{{
				 $t('signInGoogle') 
				}}</button>
			<button type="button" @click.prevent="(e) => onExternalSignIn(Constants.lineSignIn())">{{
				 $t('signInLine') 
				}}</button>
		</form>
	</AppBox>
</template>


<style scoped>
</style>
